if(document.adquisicionesl.elements[0].value!="")
{
	totl()
	//y=document.adquisicionesl.elements[4].readOnly = true
}
function prd1(codp)
{
	x=codp.name
	z=x.substr(17,2)
	reg=(nhd+ncd*nrd+1)/1+z*(ncd+1)/1
	//alert(">" +codp.value + "<" + x + "  " + z)
	y=document.adquisicionesl.elements[(reg+4)]
	w=document.adquisicionesl.elements[(reg+5)]
	if(codp.value!="" &&  codp.value!=" ") { w.value=prec[codp.value]; y.value=codp.value }
	else { w.value="";y.value="" }
	document.adquisicionesl.elements[(reg+6)].value=""
	document.adquisicionesl.elements[(reg+7)].value=""
	document.adquisicionesl.elements[(reg+8)].value=""
	document.adquisicionesl.elements[(reg+9)].value=""
	totl()
}
function prd2(codp)
{

	x=codp.name
	z=x.substr(17,2)/1
	reg=(nhd+ncd*nrd+2)/1+z*(ncd+1)/1
	y=document.adquisicionesl.elements[(reg+2)]
	w=document.adquisicionesl.elements[(reg+4)]
	if(codp.value!="" && codp.value!=" ") { w.value=prec[codp.value]; y.value=codp.value}
	else { w.value="";y.value=""}
	document.adquisicionesl.elements[(reg+7)].value=""
	document.adquisicionesl.elements[(reg+8)].value=""
	document.adquisicionesl.elements[(reg+5)].value=""
	document.adquisicionesl.elements[(reg+6)].value=""
	totl()
}
function calct(codp)
{

        x=codp.name
        z=x.substr(17,2)/1
        reg=(nhd+ncd*nrd+4)/1+z*(ncd+1)/1
	//alert(">" +codp.value + "<" + x + "  " + z+" "+reg)
        y=document.adquisicionesl.elements[reg+2]
	w=document.adquisicionesl.elements[(reg+4)]
	v=document.adquisicionesl.elements[(reg+5)]
	t=document.adquisicionesl.elements[(reg+6)]
        //alert(y.name + " " + w.name)
	xx=codp.value*y.value
	if(xx==0) {w.value="";v.value="";t.value=""}
	else
	{
		w.value=punto0(xx)
		t.value=punto0(xx*1.19)
		v.value=punto0(t.value-w.value)
	}
	totl()
}
function calcp(codp)
{

        x=codp.name
        z=x.substr(17,2)/1
        reg=(nhd+ncd*nrd+4)/1+z*(ncd+1)/1
        //alert(">" +codp.value + "<" + x + "  " + z+" "+reg)
        y=document.adquisicionesl.elements[reg+2]
        w=document.adquisicionesl.elements[(reg+4)]
        v=document.adquisicionesl.elements[(reg+5)]
        t=document.adquisicionesl.elements[(reg+3)]
        //alert(y.name + " " + w.name)
        xx=codp.value/1.19
        if(xx==0) {w.value="";v.value="";t.value=""}
        else
        {
                w.value=punto0(xx)
                y.value=punt0(xx/t.value)
                v.value=punto0(codp.value-w.value)
        }
        totl()
}

function totl(x)
{
        swapin()
        suma=0
        for(i=0;i<nrd;i++)
        {
                row=nhd+ncd*i
                if(document.adquisicionesl.elements[row/1+1].value!="") suma +=(document.adquisicionesl.elements[row/1+4].value)/1
	}
        if(!suma) document.adquisicionesl.net.value=""
	else document.adquisicionesl.net.value=punto(suma)
	document.adquisicionesl.elements[10].value=punto0(suma)
	document.adquisicionesl.elements[12].value=punto0(suma*1.19)
	document.adquisicionesl.elements[11].value=punto0(document.adquisicionesl.elements[12].value-document.adquisicionesl.elements[10].value)
}
function nchange(chg)
{
	zon=document.adquisicionesl.elements[chg].value
	if(zon=="" || zon==" ") document.adquisicionesl.elements[chg+1].value=""
	else document.adquisicionesl.elements[chg+1].value=zona[zon]
}
function punt0(h)
{
        sig=""
        if (h/1 <0) { sig="-" ;h *= -1 }
        h = h/1 + .005
        h=h + ""
        sp=h.split(".")
        if(sp[1]==undefined) sp[1]="0000"
	sp[1]=sp[1]+"0000"
        sp[1]=sp[1].substr(0,4)
        zz=sp[0].toString()
        r=zz.length
        xx=""
        for (i=r;i>3;i -=3) xx= "." + zz.substr(i-3,3)+ xx
        if(r<4) xx= zz.substr(0,r)
        else xx= zz.substr(0,i)+ xx
        return(sig+sp[0]+"."+sp[1])
        //return(sig+xx)
}
function punto(h)
{
        sig=""
        if (h/1 <0) { sig="-" ;h *= -1 }
        h = h/1 + .00005
        h=h + ""
        sp=h.split(".")
        if(sp[1]==undefined) sp[1]="0000"
	sp[1]=sp[1]+"0000"
        sp[1]=sp[1].substr(0,4)
        zz=sp[0].toString()
        r=zz.length
        xx=""
        for (i=r;i>3;i -=3) xx= "." + zz.substr(i-3,3)+ xx
        if(r<4) xx= zz.substr(0,r)
        else xx= zz.substr(0,i)+ xx
        return(sig+xx+","+sp[1])
}
function punto0(h)
{
        sig=""
        if (h/1 <0) { sig="-" ;h *= -1 }
        h = h/1 + .5
        h=h + ""
        sp=h.split(".")
        if(sp[1]==undefined) sp[1]="0000"
        return(sig+sp[0])
}

